# $Revision: 1.3 $, $Date: 2006/09/04 09:54:57 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Page2
%define		_status		beta
%define		_pearname	HTML_Page2

Summary:	%{_pearname} - base class for XHTML page generation
Summary(pl):	%{_pearname} - klasa bazowa do genrowania dokumentw XHTML
Name:		php-pear-%{_pearname}
Version:	0.5.0
Release:	2
License:	PHP License 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}beta.tgz
# Source0-md5:	a10646c904fafb3a39ecaf6920f0d174
URL:		http://pear.php.net/package/HTML_Page2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_Page2 package provides a simple interface for
generating an XHTML compliant page.
- supports virtually all HTML doctypes, from HTML 2.0 through XHTML
  1.1 and XHTML Basic 1.0 plus preliminary support for XHTML 2.0
- namespace support
- global language declaration for the document
- line ending styles
- full META tag support
- support for stylesheet declaration in the head section
- support for script declaration in the head section
- support for linked stylesheets and scripts
- full support for header link tags
- body can be a string, object with toHtml or toString methods or an
  array (can be combined)

Ideas for use:
- Use to validate the output of a class for XHTML compliance
- Quick prototyping using PEAR packages is now a breeze

In PEAR status of this package is: %{_status}.

%description -l pl
Klasa PEAR::HTML_Page2 dostarcza prostego interfejsu do generowania
stron zgodnych z XHTML.
- wsparcie dla praktycznie wszystkich typw HTML, od HTML 2.0 przez
  XHTML 1.1 i XHTML Basic 1.0 do podstawowego wsparcia dla XHTML 2.0
- wsparcie dla przestrzeni nazw
- globalna deklaracja jzyka dokumentu
- pene wsparcie dla znacznikw META
- wsparcie dla deklaracji stylu w sekcji head
- wsparcie dla deklaracji skryptw w sekcji head
- wsparcie dla stylw i skryptw osadzonych w innych plikach
- pene wsparcie dla odnonikw w nagwku
- ciao dokumentu moe by cigiem znakw, obiektem z metodami toHtml
  lub toString lub te tablic

Klasa moe by wykorzystana do:
- sprawdzania poprawnoci klasy wzgldem XHTML

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/{examples/Page2_NoDoctype.php,examples/Page2_Simple.php,examples/Page2_Complex.php}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/Page2.php
%{php_pear_dir}/HTML/Page2/Doctypes.php
%{php_pear_dir}/HTML/Page2/Namespaces.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Page2.spec,v $
Revision 1.3  2006/09/04 09:54:57  glen
- rel 2

Revision 1.2  2006/09/04 09:54:30  glen
- don't use epoch when not defined

Revision 1.1  2006/09/04 09:42:50  adamg
- new
